                   Mail Express 2001-2002-Pro
                   --------------------------

History of changes(Recently):

Mail Express Pro
-----------------

4.0 Official version build 0314 (3/14/2003) 4.0.1.32
- Bugs fixed.

4.0 beta build 0314 (3/14/2003) 4.0.0.690
- Fixed some bugs.
- Add "Change rule" button in rule setting.

4.0 beta build 0313 (3/13/2003) 4.0.0.671
- Fixed some bugs.
- Click the header to sort the mails.

4.0 beta build 0312 (3/12/2003) 4.0.0.634
- Fixed some bugs.
- Add help in Mail Express Pro.

4.0 beta build 0312 (3/12/2003) 4.0.0.619
- Fixed the bug in AllowIPs input editbox, now only accept 0 to 9 and *.
- If choose use proxy but host is empty, delivery engine will not use proxy.


4.0 beta build 0312 (3/12/2003) 4.0.0.598
- Fixed some bugs in Options window.
- Add popup menu in SMTP Account Manager.

4.0 beta build 0311 (3/11/2003) 4.0.0.577
- Fixed some bugs.
- Add rule as "If mail address is A, then try try this delivery engine first: B'.
- Add "Move Up" and "Move Down" buttons in rule setting.

4.0 beta build 0311 (3/11/2003) 4.0.0.557
- Fixed some bugs.

4.0 beta build 0310 (3/10/2003) 4.0.0.526
- Add log save button.
- Allow Ip setting will disabled if "Support LAN User" is off.
- Bug fixed.

4.0 beta build 0308 (3/8/2003) 4.0.0.492
- Fix bug in Internal Delivery Engine.
- Add "Use group delivery" setting in options.

4.0 beta build 0306 (3/6/2003) 4.0.0.473
- New delivery engine that integrate your all SMTP server into one engine, include a internal delivery engine.
- New internal delivery engine with group feature.
- Add delivery rule in new delivery engine.
- Add interval setting of auto internet connection checking when internet disconnected.
- User can change DNS server order.
- New interface.
- Change name of this application to Mail Express Pro


3.2 build 0110 (1/10/2003) 3.2.3.467
- Fixed some bugs.

3.2 build 0103 (1/3/2003) 3.2.3.281
- In log setting, if you set the keep count to -1, means no log.
- Fixed some bugs.

3.2 build 1221 (12/21/2002) 3.2.3.255
- Fixed some bugs.

3.2 build 1218 (12/18/2002) 3.2.3.153
- Add a visual transfer histogram to display the realtime transfering rate.
- Fixed some bugs.

3.2 build 1215 (12/15/2002) 3.2.2.238)
- Optimize the delivery engine.
- Fixed some bugs.

3.2 build 1213 (12/13/2002) 3.2.2.108
- Fixed some bugs.

3.2 build 1211 (12/11/2002) 3.2.2.96
- Fixed some bugs.

3.2 build 1205 (12/5/2002) 3.2.1.138
- Add "Helo Name" setting in mail sender.
- When you change the "Support LAN users" setting from ON to OFF, ME will delete all saved mails from other users when the setting is on.
- Change mail keep days setting: 
  0 means delete after sent;
  -1 means never delete;
  other integer means keep days.
- fixed some bugs.

3.2 build 1203 (12/3/2002) 3.2.1.83
- Add a PopUp message window like MSN. When mail sent or sent fail, it will appear.
- If you turn on the "Support LAN user" setting, you can not see actual mail preview in Show Mail window.
- Fixed some bugs.

3.2 beta build 1127 (11/27/2002) 3.2.0.141
- Add "Customize notify-mail" in this version.
- Fixed other bugs.

3.2 beta build 1109 (11/9/2002) 3.2.0.77
- Add actual mail preview in "Show Mail Message" dialog, support html mail and attachment.
- Double-click mail in mail list folder to open the "Show Mail Message" dialog.
- Fixed some bugs in socks proxy server support.
- Change the setting "Delete mail after sending" to "Delete sent mail after *** days".

3.1 build 1028 (10/28/2002) 3.1.3.56
- Add SMTP Authentication in mail receiver.
- Add Keep Day in logs keep method.
- Add "Acc./Computer" and "IP" columns in the mail list of main window. You may check where the mail come from.

3.1 build 0929 (9/29/2002) 3.1.2.3
    - Add a setting: "Delete the failed mail after sending notify-mail" when you choose send notify-mail.
    - You may set up additional SMTP servers, when Mail Express can not send mail to some address, it will try the additional SMTP servers. Such as Hotmail, etc.
    - Fixed some bugs.

3.1 build 0905 (9/5/2002)
    - Fixed some bugs reported by our conners.

3.1 beta build 0901 (9/1/2002)
    - Add a general progress bar in stat bar.
    - Fixed some bugs.

3.1 beta build 0823 (8/23/2002)
    - Fixed some bugs.

3.1 beta build 0814 (8/14/2002)
    - Fixed some bugs.
    - Add a show email tool. You may choose in any folder and right-click click you mouse(or click "Show mail message" button) to view this email.

3.1 beta build 0813 (8/13/2002)
    - Fixed some bugs of stop sending.

3.1 beta build 0812 (8/12/2002)
    - Fixed some bugs in delivery engine.
    - The bug of error email correction fixed.
    - Display the current address No in sending for multi-recipients email.

3.0 build 0809 (8/9/2002)
    - Add a pop-up menuitem in InBound folder to stop selected emails sending.

3.0 build 0808 (8/8/2002)
    - Add "Save addresses list of selected emails to file" in Failed maillist.
      You may choose more than one emails in "Failed" folder and right click
      mouse, then in pop-up menu, you may choose "Save addresses list of
      selected emails to file" item.
    - Fixed other bugs.

3.0 build 0807 (8/7/2002)
    - Stopping send server bug fixed.

3.0 build 0803 (8/3/2002)
    - Fixed some bugs in mail sending and retry.

3.0 build 0722 (7/22/2002)
    - Improve mail server filter to get faster speed.
    - Add max line count setting for log file(both receive.log and relay.log).  Value 0 means 
      no limition.

3.0 build 0709 (7/9/2002)
    - Auto-detect the priority of MX server to increase delivery speed and stable.

3.0 build 0705 (7/5/2002)
    - Fixed unreadable Subject view in mail list folder for non-english language.

3.0 build 0703 (7/3/2002)
    - Fixed some bugs.
    - Add multi-select in mail list. You may choose more than one emails to resend or delete
      in Inbound, Sent or Failed folder, "Select All" menuitem is in right-click pop menu or
      main menu (Mailbox -> Select All), you also may press Ctrl+A in mail list folder to
      select all.

3.0 build 0626 (6/26/2002)
    - Fixed some bugs.

3.0 build 0624 (6/24/2002)
    - Fixed some bugs in retry.

3.0 build 0621 (6/21/2002)
    - Fixed some bugs and enhance the core of smtp engine.
    - Added some features.

3.0 beta build 0620 (6/20/2002)
    - Add dial-up control in it, you can set to close dial-up connection when all tasks
      finished.

3.0 beta build 0619 (6/19/2002)
    - Fixed some bugs in stat bar showing and mailing.
    - Add a "Show Statistics Bar when mail is pending" choice in "General" tab of "Options"
      Window;

3.0 beta build 0617 (6/17/2002)
    - Add a new setting "Delete mail after sending" in "Sender" tab of "Options" window.
      This will keep you delivery speed when you send bulk mails.
    - Fixed some bugs in mail management.
    - Fixed some bugs in mail sending.

3.0 beta build 0616 (6/16/2002)
    - Change internet connection checking method.
    - Add a Statistics Bar in desktop, it makes you need not open ME main windows to check 
      ME stat. Also add a "Show Statistics Bar when ME starts up" setting in "General" tab
      of "Options" window.

3.0 beta build 0614 (6/14/2002)
    - Some bugs fixed.

3.0 beta build 0613 (6/13/2002)
    - Enhance the core of Mail Server Engine, mail will be sent more fast and stable.

2.9d (0528) build 0528
    - Fixed compatibility with Outlook XP sp1 in sending more than one mail at the same time.

2.9c (0523) build 0523
    - Fixed compatibility with Outlook XP sp1.

2.9b (05/21) build 0521
    - Sometimes, none-encoded mail will send fail during sending, now this bug fixed.

2.9a (05/20) build 0520
    - Bug fixed to increase sending speed (throughput).

2.9 Final (05/17) build 0517
    - Add led in tray icon to display the status of receive server and send server.
    - Bugs fixed in mail sending.

2.9 beta8 (05/16) build 0516
    - Fixed some bugs in connection checking and others.

2.9 beta7 (05/14) build 0514
    - Modify interface, you can view "Error Addresses Detail" not only in "Failed" folder,
      but also in "Mailbox" folder when you choose a failed mail.
    - Fixed some bugs of function controls.

2.9 beta6 (05/11) build 0511
    - Fixed DNS server bug.

2.9 pr3 (beta5) (05/10) build 0510
    - Fixed internet connection check bug.

2.9 pr2 (beta4) (05/09) build 0509
    - Internet connection check bug fixed.
    - Retry sending bug fixed.

2.9 Pre-release (05/08) build 0508
    - Mail Express 2002 can recogize the mail priority and order by it when sending.
    - Change "Additional DNS Server" setting from only DNS server to a DNS server list, 
      and will remember the DNS servers that have been used in a DNS cache.

2.9 beta2 Release (04/27) build 0427
    - Add send progress in mail list grid when sending.
    - Modify the error address change method, all edit will be save to database right
      now, and after correct the error addresses, you may click the Re-send button which
      is in main toolbar to send the mail.
    - Receive log and Relay log list will always show the last message.

2.9 beta1 Release (04/24) build 0424
    - In internet connection checking, we changed it to smtp server connection check.
    - Add socks proxy support in mail sending.
    - Add Allow IPs setting, now you can restrict the IP numbers that can access your
      mail server.
    - Add retry control in mail sending. Sometimes, some destination mail server may 
      be temporarily down for maintenance, archive, virus, etc. Now when you send fail, 
      you may set a retry count and interval to retry sending.

2.8a Release (04/12) build 0412
    - Add computer name support for LAN user. LAN user can use 
      the computer name that Mail Express 2002 running on as 
      their SMTP server of mail client  to send email via ME2002. 
      It's useful for dynamic IP address. Get more info, please see 
      "Setting of LAN user" in help.

2.8  Release (04/10) build 0410
    - Fix bugs for bulk mails sending.
    - Increase max delivery threads to 100.
    - Increase timeout of mail sending to 3600000 (one hour).
    - Modify interface to fit more language display.

2.7  Release (04/04) build 0404
    - Fix DB bug of header error.
    - Language file updated.

2.6  Release (03/31) build 0331
    - Fix other language (like japanese) display bug.
    - Fix receive server bug.

2.5d Release (03/29) build 0329
    - Fix bug in Windows XP display.
    - Fix bug in mail delete.

2.5c Release (03/27) build 0327
    - Fixed bugs for win98(se): Auto-detect DNS server.
    - Delivery threads changed to 2 for unregistered version.

2.5b Release (03/25) build 0325
    - Fixed bugs for outlook xp (sp1).
    - Fixed bugs for win9x.

2.5a Release (03/22/2002) build 0322
    - Multi-threads bug fixed.

2.5  Release (03/19/2002) build 0319
    - Support multi-language.

2.4a Release (03/16/2002) build 0316
    - Fixed bug: sometimes mail will be sent to the previous mail recipients.

2.4  Release (03/15/2002) build 0315
    - Bug has been fixed, more mail clients will not receive unreadable message.

2.3  Release (03/07/2002) build 0307
    - Bug has been fixed, user can send one email to multi-recipients (>=2 recipients).

2.2d Release (03/04/2002) build 0304
    - Bug has been fixed for internet connection auto-checking

2.2c Release (03/01/2002) build 0301
    - Change the internet connection check setting, now user can turn it on or off,              choose your own ping site instead of MS, and change interval for pinging

2.2b Release (02/28/2002) build 0228
    - Fixed bug of sending error message to author.

2.2a Release (02/26/2002) build 0226
    - Fixed some bugs to release more system resource.

2.2 Release (02/19/2002) build 0219
    - Fixed some bugs: 
      Stop send server and re-start it bug; 
      Correct mail header changing bug.

2.1 Release (02/01/2002) build 0201
    - Fixed some functions to fit more mail clients.

2.0.1.2 Release (01/22/2002) build 0122
    - Fixed some bugs. Filter mail header to fit more mail clients like Eudora.

2.0.1.1 Release (01/09/2002) build 0109
    - Fixed some bugs: 
      Some mail (i.e Eudora) client can't decode the mail that be sent via Mail Express.
      Send server can't be stopped.
    - Add a 'Send Logs to Author (Report Error).' function to help user send error message
      and logs to author.
    - Add clear log button.

2.0.1.1 Release (01/04/2002) build 0104
    - Fixed some bugs: right-click to delete, correct or resend mail.
    - Add a Additional DNS Server setting in Sender tab of Options window, this setting is       using when all DNS servers that Mail Express detected can not resolve the mail address.       When you set up it and 'Save' or 'Apply', this Additional DNS Server will add to DNS       List of Mail Express 2002.

2.0.1.1 Release (12/30/2001) build 1230
    - Rebuild new SMTP engine core, it's more stable.
    - Add new autodetect process: internet connection, DNS server, connection type.
    - More easy way to view your local IP, DNS servers and connection type.
    - Support LAN user to send mail via ME that installed in your computer.
    - New interface of Windows XP style.

Mail Express 2001
-----------------

1.5.2a Release (12/06/2001) build 1206
    - Fixed mysmtp.com error. This will support more mail servers which will verify addresses of your mail.
    - DNS auto-detect is added. You needn't to change DNS server setting of Mail Express when you change your location.
  
1.5.2a Release (11/25/2001)
    - Fixed bug of minimize (Click minimize button of main window can minimize to tray).
    - Change SMTP server reponse for RCPT command from 251 to 250. This will fit more mail client programs.
    - Max sender threads count set to 20

1.5.2  Release (10/25/2001) 
    - Multi-Thread support
    - Max SMTP server receive threads count set to 15
    - Max sender threads count set to 10

...

1.0    (02/11/2001) First edition to use by ourselves.

---------------------------
Mail Express team
iDataExpress inc.
http://www.idataexpress.com
---------------------------